%define pkidir %{_sysconfdir}/pki

%define class1hash %(openssl x509 -hash -noout -in %{SOURCE0})
%define class3hash %(openssl x509 -hash -noout -in %{SOURCE1})

Summary: CAcert.org CA root certificates
Name: ca-cacert.org
Version: 2008
Release: 1
License: Public Domain
Group: System Environment/Base
URL: http://www.cacert.org/
# Class 1 PKI Key
Source0: http://www.cacert.org/certs/root.crt
# Class 3 PKI Key
Source1: http://www.cacert.org/certs/class3.crt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# For the parent directories
Requires: openssl
# Include both keys
Requires: %{name}-class1
Requires: %{name}-class3
# For the hash generation
BuildRequires: openssl
BuildArch: noarch

%description
Class 1 and Class 3 PKI keys from CAcert.org, to trust SSL certificates signed
by either key of the CAcert Certificate Authority (CA).


%package class1
Summary: CAcert.org CA Class 1 root certificate
Group: System Environment/Base

%description class1
Class 1 PKI key from CAcert.org, to trust SSL certificates signed by the Class
1 key of the CAcert Certificate Authority (CA).


%package class3
Summary: CAcert.org CA Class 3 root certificate
Group: System Environment/Base

%description class3
Class 3 PKI key from CAcert.org, to trust SSL certificates signed by the Class
3 key of the CAcert Certificate Authority (CA).


%prep


%build


%install
%{__rm} -rf %{buildroot}

# Class 1
%{__install} -D -p -m 0644 %{SOURCE0} \
    %{buildroot}%{pkidir}/tls/certs/ca-cacert-class1.crt
%{__ln_s} ca-cacert-class1.crt %{buildroot}%{pkidir}/tls/certs/%{class1hash}.0

# Class 3
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{pkidir}/tls/certs/ca-cacert-class3.crt
%{__ln_s} ca-cacert-class3.crt %{buildroot}%{pkidir}/tls/certs/%{class3hash}.0


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
# No files, just require both sub-packages

%files class1
%defattr(-,root,root,-)
%{pkidir}/tls/certs/ca-cacert-class1.crt
%{pkidir}/tls/certs/%{class1hash}.0

%files class3
%defattr(-,root,root,-)
%{pkidir}/tls/certs/ca-cacert-class3.crt
%{pkidir}/tls/certs/%{class3hash}.0


%changelog
* Wed Dec  3 2008 Matthias Saou <http://freshrpms.net/> 2008-1
- Initial RPM release.

